#-*- coding: utf-8 -*-

Then /^le fichier "(.*)" doit avoir été créé avec les reçus$/ do |filename|
  @receipt_path = "#{ENV['NOS_OIGNONS_RECEIPTS_DIR']}/#{filename}"
  expect(File.exists?(@receipt_path)).to be_true
end

Then /^il doit contenir le nom et l'adresse de (\w+), la date et le montant de la cotisation$/ do |name|
  # XXX: not nice to hard code that 10,00
  amount = "10,00"
  # XXX: not nice to relay that it's the last member either
  expect(@last_member['name']).to eql(name)

  content = `pdftotext #{@receipt_path} -`.gsub(/\n/, ' ')
  expect(content).to include(@last_member['name'])
  expect(content).to include(@last_member['address'])
  expect(content).to include(DateTime.strptime(@last_member['membership_fee_paid_on'], "%Y-%m-%d").strftime("%d/%m/%Y"))
  expect(content).to include(amount)
end
